package com.usoftchina.qywx.sdk.dto;

import java.util.List;

/**
 * @author yingp
 */
public class GetCalendarListResp extends BaseResp {

    private List<Calendar> calendar_list;

    public List<Calendar> getCalendar_list() {
        return calendar_list;
    }

    public void setCalendar_list(List<Calendar> calendar_list) {
        this.calendar_list = calendar_list;
    }

    public static class Calendar {
        private String cal_id;
        private String organizer;
        private String summary;
        private String color;
        private String description;
        private List<Share> shares;

        public String getCal_id() {
            return cal_id;
        }

        public void setCal_id(String cal_id) {
            this.cal_id = cal_id;
        }

        public String getOrganizer() {
            return organizer;
        }

        public void setOrganizer(String organizer) {
            this.organizer = organizer;
        }

        public String getSummary() {
            return summary;
        }

        public void setSummary(String summary) {
            this.summary = summary;
        }

        public String getColor() {
            return color;
        }

        public void setColor(String color) {
            this.color = color;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public List<Share> getShares() {
            return shares;
        }

        public void setShares(List<Share> shares) {
            this.shares = shares;
        }
    }

    public static class Share {
        private String userid;

        public String getUserid() {
            return userid;
        }

        public void setUserid(String userid) {
            this.userid = userid;
        }
    }
}
